NX Open C++ Reference Guide
|
Represents a @link Features::ShipDesign::SteelVentHoles Features::ShipDesign::SteelVentHoles@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateSteelVentHolesBuilder Features::ShipCollection::CreateSteelVentHolesBuilder @endlink <br>
Default values. More...
Public Member Functions | |
NXOpen::Expression * | AngularDim () |
Returns the angular dimension used to rotate the profile of the vent holes Created in NX7.5.0. | |
NXOpen::Expression * | GuideOffset () |
Returns the guide offset - the dimension used to offset the array of holes from the section guide. | |
bool | KeepReverseGuideOffset () |
Returns the keep reverse guide offset A toggle used to remember the reverse guide value on apply. | |
bool | KeepSectionGuide () |
Returns the keep section guide A toggle used to remember the selected object(s) on apply. | |
bool | KeepSelectEndTrim () |
Returns the keep select end trim A toggle used to remember the selected object on apply. | |
bool | KeepSelectStartTrim () |
Returns the keep select start trim A toggle used to remember the selected object on apply. | |
bool | KeepSelectTargetFace () |
Returns the keep select target face A toggle used to remember the selected object(s) on apply. | |
int | NumVents () |
Returns the number of vent holes. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | OnPathEndOffset () |
Returns the offset from the start of the section to begin placing the holes. | |
NXOpen::GeometricUtilities::OnPathDimensionBuilder * | OnPathStartOffset () |
Returns the offset from the start of the section to begin placing the holes. | |
bool | ReverseGuideOffset () |
Returns the reverse direction of the guide offset. | |
NXOpen::Section * | SectionGuide () |
Returns the section guide - vent holes are placed along this guide Created in NX7.5.0. | |
NXOpen::SelectTaggedObject * | SelectEndTrim () |
Returns the select end trim - used to trim the end of the section guide. | |
NXOpen::SelectTaggedObject * | SelectStartTrim () |
Returns the select start trim - used to trim the start of the section guide. | |
NXOpen::SelectTaggedObjectList * | SelectTargetFace () |
Returns the select target face. | |
void | SetKeepReverseGuideOffset (bool keepReverseGuideOffset) |
Sets the keep reverse guide offset A toggle used to remember the reverse guide value on apply. | |
void | SetKeepSectionGuide (bool keepSectionGuide) |
Sets the keep section guide A toggle used to remember the selected object(s) on apply. | |
void | SetKeepSelectEndTrim (bool keepSelectEndTrim) |
Sets the keep select end trim A toggle used to remember the selected object on apply. | |
void | SetKeepSelectStartTrim (bool keepSelectStartTrim) |
Sets the keep select start trim A toggle used to remember the selected object on apply. | |
void | SetKeepSelectTargetFace (bool keepSelectTargetFace) |
Sets the keep select target face A toggle used to remember the selected object(s) on apply. | |
void | SetNumVents (int numVents) |
Sets the number of vent holes. | |
void | SetReverseGuideOffset (bool reverseGuideOffset) |
Sets the reverse direction of the guide offset. | |
void | SetToggleEqualSpacing (bool toggleEqualSpacing) |
Sets the toggle equal spacing. | |
void | SetToggleSymmetricOffset (bool toggleSymmetricOffset) |
Sets the toggle for calculating automatic symmetric offsets. | |
NXOpen::SketchExpressionModifierBuilder * | SketchBlock () |
Returns the library sketch block that defines the cut outline Created in NX7.5.0. | |
bool | ToggleEqualSpacing () |
Returns the toggle equal spacing. | |
bool | ToggleSymmetricOffset () |
Returns the toggle for calculating automatic symmetric offsets. | |
NXOpen::Expression * | VentSpacing () |
Returns the spacing applied between each vent hole. | |
![]() | |
NXOpen::Features::Feature * | CommitFeature () |
Commits the feature parameters and creates the feature. | |
NXOpen::Features::Feature * | GetFeature () |
Returns the feature currently being edited by this builder. | |
void | HideInternalParentFeatureAfterEdit (NXOpen::Features::Feature *parentFeature) |
Re-suppress an internal parent feature (a slave feature) after it has been edited. | |
bool | ParentFeatureInternal () |
Returns whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
bool | PatchSolutionFlag () |
Returns the patch solution flag Created in NX8.0.1. | |
NXString | PatchSurfaceFilename () |
Returns the patch surface filename Created in NX8.0.1. | |
void | SetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the parent features which would be internal or slaves to the feature being created or commited Created in NX6.0.0. | |
void | SetParentFeatureInternal (bool isInternal) |
Sets whether or not the latest timestamped parent feature of this feature should be made internal Created in NX5.0.0. | |
void | SetPatchSolutionFlag (bool optionValue) |
Sets the patch solution flag Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const NXString &surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetPatchSurfaceFilename (const char *surfaceFilename) |
Sets the patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const NXString &surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | SetSurroundingPatchSurfaceFilename (const char *surroundingSurfaceFilename) |
Sets the surrounding patch surface filename Created in NX8.0.1. | |
void | ShowInternalParentFeatureForEdit (NXOpen::Features::Feature *parentFeature) |
Unsuppress an internal parent feature (a slave feature) so it can be edited. | |
NXString | SurroundingPatchSurfaceFilename () |
Returns the surrounding patch surface filename Created in NX8.0.1. | |
void | UnsetParentFeatureInternal (NXOpen::Features::Feature *parentFeature) |
Set the internal parent feature of the feature being edited to external Created in NX6.0.0. | |
![]() | |
NXOpen::NXObject * | Commit () |
Commits any edits that have been applied to the builder. | |
void | Destroy () |
Deletes the builder, and cleans up any objects created by the builder. | |
std::vector< NXOpen::NXObject * > | GetCommittedObjects () |
For builders that create more than one object, this method returns the objects that are created by commit. | |
NXOpen::NXObject * | GetObject () |
Returns the object currently being edited by this builder. | |
void | ShowResults () |
Updates the model to reflect the result of an edit to the model for all builders that support showing results. | |
virtual bool | Validate () |
Validate whether the inputs to the component are sufficient for commit to be called. | |
![]() | |
tag_t | GetTag () const |
<b>Deprecated</b>:<br> Use Tag instead. | |
tag_t | Tag () const |
Returns the tag of this object. | |
Represents a @link Features::ShipDesign::SteelVentHoles Features::ShipDesign::SteelVentHoles@endlink builder <br> To create a new instance of this class, use @link Features::ShipCollection::CreateSteelVentHolesBuilder Features::ShipCollection::CreateSteelVentHolesBuilder @endlink <br>
Default values.
Property | Value |
---|---|
AngularDim.Value |
0 |
GuideOffset.Value |
0 (millimeters part), 0 (inches part) |
NumVents |
2 |
SketchBlock.Exp1.Value |
0 |
SketchBlock.Exp10.Value |
0 |
SketchBlock.Exp11.Value |
0 |
SketchBlock.Exp12.Value |
0 |
SketchBlock.Exp2.Value |
0 |
SketchBlock.Exp3.Value |
0 |
SketchBlock.Exp4.Value |
0 |
SketchBlock.Exp5.Value |
0 |
SketchBlock.Exp6.Value |
0 |
SketchBlock.Exp7.Value |
0 |
SketchBlock.Exp8.Value |
0 |
SketchBlock.Exp9.Value |
0 |
SketchBlock.Sketches |
EndCut1 |
ToggleEqualSpacing |
1 |
ToggleSymmetricOffset |
1 |
VentSpacing.Value |
0 (millimeters part), 0 (inches part) |
Created in NX7.5.0.
NXOpen::Expression* NXOpen::Features::ShipDesign::SteelVentHolesBuilder::AngularDim | ( | ) |
Returns the angular dimension used to rotate the profile of the vent holes
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::SteelVentHolesBuilder::GuideOffset | ( | ) |
Returns the guide offset - the dimension used to offset the array of holes from the section guide.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelVentHolesBuilder::KeepReverseGuideOffset | ( | ) |
Returns the keep reverse guide offset A toggle used to remember the reverse guide value on apply.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelVentHolesBuilder::KeepSectionGuide | ( | ) |
Returns the keep section guide A toggle used to remember the selected object(s) on apply.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelVentHolesBuilder::KeepSelectEndTrim | ( | ) |
Returns the keep select end trim A toggle used to remember the selected object on apply.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelVentHolesBuilder::KeepSelectStartTrim | ( | ) |
Returns the keep select start trim A toggle used to remember the selected object on apply.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelVentHolesBuilder::KeepSelectTargetFace | ( | ) |
Returns the keep select target face A toggle used to remember the selected object(s) on apply.
Created in NX7.5.0.
License requirements : None
int NXOpen::Features::ShipDesign::SteelVentHolesBuilder::NumVents | ( | ) |
Returns the number of vent holes.
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::ShipDesign::SteelVentHolesBuilder::OnPathEndOffset | ( | ) |
Returns the offset from the start of the section to begin placing the holes.
(used with the equal spacing option)
Created in NX7.5.0.
License requirements : None
NXOpen::GeometricUtilities::OnPathDimensionBuilder* NXOpen::Features::ShipDesign::SteelVentHolesBuilder::OnPathStartOffset | ( | ) |
Returns the offset from the start of the section to begin placing the holes.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelVentHolesBuilder::ReverseGuideOffset | ( | ) |
Returns the reverse direction of the guide offset.
Allows you to reverse the direction used in the guide offset.
Created in NX7.5.0.
License requirements : None
NXOpen::Section* NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SectionGuide | ( | ) |
Returns the section guide - vent holes are placed along this guide
Created in NX7.5.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SelectEndTrim | ( | ) |
Returns the select end trim - used to trim the end of the section guide.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectTaggedObject* NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SelectStartTrim | ( | ) |
Returns the select start trim - used to trim the start of the section guide.
Created in NX7.5.0.
License requirements : None
NXOpen::SelectTaggedObjectList* NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SelectTargetFace | ( | ) |
Returns the select target face.
Specifies the face(s) to cut holes in.
Created in NX7.5.0.
License requirements : None
void NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SetKeepReverseGuideOffset | ( | bool | keepReverseGuideOffset | ) |
Sets the keep reverse guide offset A toggle used to remember the reverse guide value on apply.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepReverseGuideOffset | keepreverseguideoffset |
void NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SetKeepSectionGuide | ( | bool | keepSectionGuide | ) |
Sets the keep section guide A toggle used to remember the selected object(s) on apply.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSectionGuide | keepsectionguide |
void NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SetKeepSelectEndTrim | ( | bool | keepSelectEndTrim | ) |
Sets the keep select end trim A toggle used to remember the selected object on apply.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectEndTrim | keepselectendtrim |
void NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SetKeepSelectStartTrim | ( | bool | keepSelectStartTrim | ) |
Sets the keep select start trim A toggle used to remember the selected object on apply.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectStartTrim | keepselectstarttrim |
void NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SetKeepSelectTargetFace | ( | bool | keepSelectTargetFace | ) |
Sets the keep select target face A toggle used to remember the selected object(s) on apply.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
keepSelectTargetFace | keepselecttargetface |
void NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SetNumVents | ( | int | numVents | ) |
Sets the number of vent holes.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
numVents | numvents |
void NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SetReverseGuideOffset | ( | bool | reverseGuideOffset | ) |
Sets the reverse direction of the guide offset.
Allows you to reverse the direction used in the guide offset.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
reverseGuideOffset | reverseguideoffset |
void NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SetToggleEqualSpacing | ( | bool | toggleEqualSpacing | ) |
Sets the toggle equal spacing.
Indicates that an equal amount of space is placed between each hole along the guide.
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
toggleEqualSpacing | toggleequalspacing |
void NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SetToggleSymmetricOffset | ( | bool | toggleSymmetricOffset | ) |
Sets the toggle for calculating automatic symmetric offsets.
(only used with the equal spacing option) If you toggle on both equal spacing and symmetric offsets, and the length of the secion is L, the distance between each hole is L/n, and both of the offsets equal L/(2n)
Created in NX7.5.0.
License requirements : nx_ship_concept ("Ship Concept")
toggleSymmetricOffset | togglesymmetricoffset |
NXOpen::SketchExpressionModifierBuilder* NXOpen::Features::ShipDesign::SteelVentHolesBuilder::SketchBlock | ( | ) |
Returns the library sketch block that defines the cut outline
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelVentHolesBuilder::ToggleEqualSpacing | ( | ) |
Returns the toggle equal spacing.
Indicates that an equal amount of space is placed between each hole along the guide.
Created in NX7.5.0.
License requirements : None
bool NXOpen::Features::ShipDesign::SteelVentHolesBuilder::ToggleSymmetricOffset | ( | ) |
Returns the toggle for calculating automatic symmetric offsets.
(only used with the equal spacing option) If you toggle on both equal spacing and symmetric offsets, and the length of the secion is L, the distance between each hole is L/n, and both of the offsets equal L/(2n)
Created in NX7.5.0.
License requirements : None
NXOpen::Expression* NXOpen::Features::ShipDesign::SteelVentHolesBuilder::VentSpacing | ( | ) |
Returns the spacing applied between each vent hole.
(not used with the equal spacing option)
Created in NX7.5.0.
License requirements : None